package com.jpsoft.picc.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.business.entity.InsuranceApplication;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface InsuranceApplicationDAO {
	int insert(InsuranceApplication entity);
	int update(InsuranceApplication entity);
	int exist(String id);
	InsuranceApplication get(String id);
	int delete(String id);
	List<InsuranceApplication> list();
	List<InsuranceApplication> search(Map<String,Object> searchParams,List<Sort> sortList);
}