package com.jpsoft.picc.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.business.entity.InsurancePolicy;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface InsurancePolicyDAO {
	int insert(InsurancePolicy entity);
	int update(InsurancePolicy entity);
	int exist(String id);
	InsurancePolicy get(String id);
	int delete(String id);
	List<InsurancePolicy> list();
	List<InsurancePolicy> search(Map<String,Object> searchParams,List<Sort> sortList);
}