package com.jpsoft.picc.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.business.entity.InsurancePolicyMember;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface InsurancePolicyMemberDAO {
	int insert(InsurancePolicyMember entity);
	int update(InsurancePolicyMember entity);
	int exist(String id);
	InsurancePolicyMember get(String id);
	int delete(String id);
	List<InsurancePolicyMember> list();
	List<InsurancePolicyMember> search(Map<String,Object> searchParams,List<Sort> sortList);
}