package com.jpsoft.picc.modules.business.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.business.entity.InsurancePolicyRecord;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface InsurancePolicyRecordDAO {
	int insert(InsurancePolicyRecord entity);
	int update(InsurancePolicyRecord entity);
	int exist(String id);
	InsurancePolicyRecord get(String id);
	int delete(String id);
	List<InsurancePolicyRecord> list();
	List<InsurancePolicyRecord> search(Map<String,Object> searchParams,List<Sort> sortList);
}