package com.jpsoft.picc.modules.business.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;

/**
  描述:business_application_policy的实体类
 投保单和每月投保单关联表
 */
@ApiModel(value = "business_application_policy的实体类")
public class ApplicationPolicy {
	private String id;
	private String applicationId;
	private String policyId;

		/**
	 *获取ID
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置ID
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取投保申请ID
	 */
	public String getApplicationId(){
		return applicationId;
	}
	
	/**
	 *设置投保申请ID
	 */
	public void setApplicationId(String applicationId){
		this.applicationId = applicationId;
	}
		/**
	 *获取每月投保单ID
	 */
	public String getPolicyId(){
		return policyId;
	}
	
	/**
	 *设置每月投保单ID
	 */
	public void setPolicyId(String policyId){
		this.policyId = policyId;
	}
}